<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\StockManagement\ImportationController as AdminImportationController;

Route::prefix("importations")->name("importations.")->group(function (){

    Route::get("/list-on-warehouse",[AdminImportationController::class,"listOnWarehouse"])
        ->name("list-on-warehouse");
    Route::post("create",[AdminImportationController::class,"create"])->name("create");
    Route::get("preview",[AdminImportationController::class,"previewImportedData"])->name("preview");


    Route::prefix("preview")->name("preview.")->group(function (){
        Route::get("/",[AdminImportationController::class,"previewImportedData"])->name("index");
        Route::post("edit-column",[AdminImportationController::class,"editColumn"])->name("edit-column");
        Route::post("remove-row",[AdminImportationController::class,"removeImportedRow"])->name("remove-row");
    });

    Route::prefix("{importation}")->group(function (){
        Route::get("/",[])->name("show");
        Route::post("update",[])->name("update");
        Route::put("delete",[])->name("delete");
    });
});
